@import 'variables';
@import 'mixins';

@mixin _cui-input-base-global($class) {
  $sizes: s, m, l;
  @each $size in $sizes {
    [data-cui-size='#{$size}'] #{$class} input,
    [data-cui-size='#{$size}'] #{$class} textarea{
      flex: 1 1 auto;
      background-color: transparent;
      padding: (cui-height($size) - cui-line-height(m)) * 0.5 $cui-input-padding-h;
      border: 0;
      outline: 0;
      @include cui-text(m);
    }
  }
}

@mixin _cui-input-size-global($size, $btn-width: 0, $class) {
  $btn-offset: if($btn-width == 0, 0, $btn-width + $cui-input-padding-h);

  [data-cui-size="#{$size}"] {
    #{$class} {
      input {
        padding-right: $cui-input-padding-h + $btn-offset;
      }
      @content();
    }
  }
}
